Roll back secret value

Copies a previous version into a new current version. Requires scope: secret-store.write.

Authentication

AuthorizationBearer

IBEE platform API token. Production tokens start with ibee_prod_key_; development tokens start with ibee_dev_key_. Use a token only with its matching gateway environment.

Path parameters

secret_idstringRequired
Secret ID.

Query parameters

workspace_idstringRequiredformat: "^[1-9][0-9]*$">=1 character

The positive numeric workspace ID to scope this request to. Zero, negative, and non-numeric values are rejected.

Request

This endpoint expects an object.
versionintegerRequired>=1
Previous version to copy into a new current version.

Response

Previous value copied into a new current version.
idstringOptional
secret_namestringOptional
datamap from strings to anyOptional

Key-value pairs containing the secret data.

metadatamap from strings to anyOptional

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error